Bug 46705 - NFS-exported directory from RH 7.1 to HP-UX 10.20 corrupted
NFS-exported directory from RH 7.1 to HP-UX 10.20 corrupted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-29 18:53 EDT by Stephen Walton
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 14:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2001-06-29 18:53:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.7 i686)

Description of problem:
I installed RH 7.1 on two systems;  on one it was a clean re-install
complete with disk format, on the other it was an update to a working 6.2
system.  On both systems, I see a very strange result when exporting to an
HP-UX 10.20 system.  Suppose my system is called 'redhat' and I export /usr
to my HP-UX system.  On the HP-UX system I do:

# mkdir /redhatusr
# mount redhat:/usr /redhatusr
# cd /redhatusr
# ls
[see directory listing]
# pwd
/redhatusr
# cd man
# ls
[again see directory listing]
# pwd
/man

Notice the stripping of the leading directory path element on the pwd
command.  I can fix the problem by backing up to the 2.2 kernel,
specifically 2.2.19-6.2.7, so this is definitely a new bug at 2.4.2.

How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.1.
2. Export a directory via NFS to an HP-UX system.
3. NFS-mount the RH directory on the HP system.
4. cd to a subdirectory of the NFS mount and do 'pwd'.
	

Additional info:
Comment 1 Stephen Walton 2001-07-05 14:47:58 EDT
I have additional information to add to this report:

1.  The reported behavior only occurs when the 'pwd' command is issued from
within tcsh.  It doesn't appear to do it when the command is typed from within
/bin/sh on HP-UX (which is the Posix shell).  But the behavior recurs when a
simple C program is written to print the result of the 'getwd' system call.

2.  The behavior does not occur when the mount is forced to be NFSv2.
Comment 2 Matthew Temple 2001-11-30 12:18:10 EST
This same behavior is found when mounting an nfs filesystem residing on a RH7.2
system
to an IRIX 6.5 system.   It can also be fixed by forcing a mount using version 2
nfs
protocols from the irix computer.
Comment 3 Steve Dickson 2004-09-01 14:24:55 EDT
I have not heard of this being a problem in the
later kernels (like the ones in Fedora Core 1 and 2)
Please try those and reopen if necessary

Note You need to log in before you can comment on or make changes to this bug.